osgUtil::IncrementalCompileOperation::CompileList Class Reference

`#include <IncrementalCompileOperation>`

## Public Types

typedef std::list< osg::ref_ptr< CompileOp > > | CompileOps

## Public Member Functions

| CompileList ()
| ~CompileList ()
bool | empty () const
void | add (CompileOp *compileOp)
void | add (osg::Drawable *drawable)
void | add (osg::Texture *texture)
void | add (osg::Program *program)
double | estimatedTimeForCompile (CompileInfo &compileInfo) const
bool | compile (CompileInfo &compileInfo)

## Public Attributes

CompileOps | _compileOps

## Member Typedef Documentation

## CompileOps

typedef std::list< osg::ref_ptr<CompileOp> > osgUtil::IncrementalCompileOperation::CompileList::CompileOps

## Constructor & Destructor Documentation

## CompileList()

osgUtil::IncrementalCompileOperation::CompileList::CompileList | ( |  | ) |

## ~CompileList()

osgUtil::IncrementalCompileOperation::CompileList::~CompileList | ( |  | ) |

## Member Function Documentation

## add() [1/4]

void osgUtil::IncrementalCompileOperation::CompileList::add | ( | CompileOp * | compileOp | ) |

## add() [2/4]

void osgUtil::IncrementalCompileOperation::CompileList::add | ( | osg::Drawable * | drawable | ) |

inline

References add().

Referenced by add().

## add() [3/4]

void osgUtil::IncrementalCompileOperation::CompileList::add | ( | osg::Program * | program | ) |

inline

References add().

Referenced by add().

## add() [4/4]

void osgUtil::IncrementalCompileOperation::CompileList::add | ( | osg::Texture * | texture | ) |

inline

References add().

Referenced by add().

## compile()

bool osgUtil::IncrementalCompileOperation::CompileList::compile | ( | CompileInfo & | compileInfo | ) |

## empty()

bool osgUtil::IncrementalCompileOperation::CompileList::empty | ( |  | ) | const

inline

References _compileOps.

## estimatedTimeForCompile()

double osgUtil::IncrementalCompileOperation::CompileList::estimatedTimeForCompile | ( | CompileInfo & | compileInfo | ) | const

## Member Data Documentation

## _compileOps

CompileOps osgUtil::IncrementalCompileOperation::CompileList::_compileOps

Referenced by empty().

The documentation for this class was generated from the following file:

- IncrementalCompileOperation